/*******************************  LICENSE  *******************************


 Copyright 2007 European Centre for Medium-Range Weather Forecasts (ECMWF)
 
 Licensed under the Apache License, Version 2.0 (the "License"); 
 you may not use this file except in compliance with the License. 
 You may obtain a copy of the License at 
 
 	http://www.apache.org/licenses/LICENSE-2.0
 
 Unless required by applicable law or agreed to in writing, software 
 distributed under the License is distributed on an "AS IS" BASIS, 
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 See the License for the specific language governing permissions and 
 limitations under the License.


 *******************************  LICENSE  *******************************/

/*! \file AxisMethodAttributes.cc
    \brief Implementation of AxisMethod Attributes class.
    \author Meteorological Visualisation Section, ECMWF

    This file is automatically generated.
    Do Not Edit!
   
    Generated: Mon Apr 15 17:55:26 2013
*/    

#include "AxisMethodAttributes.h"
#include "MagicsParameter.h"
#include "Factory.h"
#include "MagTranslator.h"
#include "XmlNode.h"
#include "ParameterSettings.h"


using namespace magics;


AxisMethodAttributes::AxisMethodAttributes()
{
} 



AxisMethodAttributes::~AxisMethodAttributes()
{
}

    
void AxisMethodAttributes::set(const std::map<string, string>& params)
{
	vector<string> prefix(0);

}

void AxisMethodAttributes::copy(const AxisMethodAttributes& other)
{
} 


bool AxisMethodAttributes::accept(const string& node)
{	
	if ( magCompare(node, "")  )
		return true;
	return false;
}

void AxisMethodAttributes::set(const XmlNode& node)
{
	if ( this->accept(node.name()) == false ) 
		return;

	set(node.attributes());
	for (XmlNode::ElementIterator elt = node.firstElement(); elt != node.lastElement(); ++elt) {
	}
}

void AxisMethodAttributes::print(ostream& out)  const
{
	out << "AxisMethodAttributes[";
	out << "]" << "\n";
}


void AxisMethodAttributes::toxml(ostream& out)  const
{
     out <<  "\"\"";
}
