/*******************************  LICENSE  *******************************


 Copyright 2007 European Centre for Medium-Range Weather Forecasts (ECMWF)
 
 Licensed under the Apache License, Version 2.0 (the "License"); 
 you may not use this file except in compliance with the License. 
 You may obtain a copy of the License at 
 
 	http://www.apache.org/licenses/LICENSE-2.0
 
 Unless required by applicable law or agreed to in writing, software 
 distributed under the License is distributed on an "AS IS" BASIS, 
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 See the License for the specific language governing permissions and 
 limitations under the License.


 *******************************  LICENSE  *******************************/

/*! \file HiLoAttributes.h
    \brief Definition of HiLo Attributes class.
    \author Meteorological Visualisation Section, ECMWF

    This file is automatically generated.
    Do Not Edit!

    Generated: Mon Apr 15 17:55:24 2013
*/
   

#ifndef HiLoAttributes_H
#define HiLoAttributes_H

#include "magics.h"
#include "ParameterManager.h"
#include "Factory.h"


#include "HiLoTechnique.h"
#include "HiLoMarkerBase.h"

namespace magics {

class XmlNode;



class HiLoAttributes 
{
public:
//  --  constructor
    HiLoAttributes();
    
//  --  destructor
    virtual ~HiLoAttributes();
    
    virtual void set(const std::map<string, string>&);
    virtual void set(const XmlNode&);
    virtual void copy(const HiLoAttributes&);
    virtual bool accept(const string&);

    void setTag(const string& tag) { tag_ = tag; }

	

public:
	//  --  method
	virtual void print(ostream&) const;
	virtual void toxml(ostream& out) const;
	//  --  members:
	string tag_;
	auto_ptr<HiLoTechnique> type_;
	int window_size_;
	double suppress_radius_;
	double hilo_max_value_;
	double hilo_min_value_;
	double hi_max_value_;
	double hi_min_value_;
	double lo_max_value_;
	double lo_min_value_;
	auto_ptr<HiLoMarkerBase> marker_;

private:
  
	friend ostream& operator<<(ostream& s,const HiLoAttributes& p)
	{ p.print(s); return s; }
};

} // namespace magics

#endif
